LAT_TCP(8)

NAME
lat_tcp - measure interprocess communication latency via TCP/IP

SYNOPSIS
lat_tcp -s

lat_tcp hostname

lat_tcp -hostname

DESCRIPTION
lat_tcp is a client/server program that measures interprocess communication latencies. The benchmark passes a token back and forth between the two processes (this sort of benchmark is frequently referred to as a ``hot potato'' benchmark). No other work is done in the processes.

lat_tcp has three forms of usage: as a server (-s), as a client (lat_tcp localhost), and as a shutdown (lat_tcp -localhost).

OUTPUT
The reported time is in microseconds per round trip and includes the total time, i.e., the context switching overhead is includeded. Output format is like so

TCP latency using localhost: 700 microseconds

ACKNOWLEDGEMENT
Funding for the development of this tool was provided by Sun Microsystems Computer Corporation.

SEE ALSO
lmbench(8).